Simple Virtual Machine A simple but flexible virtual machine

Loading...
Searching...
No Matches
Functions
SVM variable parameters
SVM parameters

This module contains API functions to handle SVM variable parameters. More...

## Functions
SVM_FUNCTION SVM_Boolean | svm_parameter_type_is_variable (const void *svm, const SVM_Parameter parameter)
| This function checks whether a parameter contains a variable.
SVM_FUNCTION SVM_Variable | svm_parameter_variable_get (const void *svm, const SVM_Parameter parameter)
| This function converts a parameter into a variable.
SVM_FUNCTION SVM_Parameter | svm_parameter_variable_new (const void *svm, const SVM_Variable variable)
| This function creates a parameter from a variable.

## Detailed Description

This module contains API functions to handle SVM variable parameters.

## Function Documentation

## ◆ svm_parameter_type_is_variable()

SVM_FUNCTION SVM_Boolean svm_parameter_type_is_variable | ( | const void * | svm,
|  | const SVM_Parameter | parameter
| ) |  |

This function checks whether a parameter contains a variable.

Parameters

  [in] | svm | The SVM pointer passed as first argument of the callback function.
  [in] | parameter | The callback parameter to check.

Returns
  TRUE if the parameter contains a variable, FALSE otherwise.

Exceptions

  FAILURE | interruption when a parameter is incorrect. (Please refer to the main description page of this API.)

## ◆ svm_parameter_variable_get()

SVM_FUNCTION SVM_Variable svm_parameter_variable_get | ( | const void * | svm,
|  | const SVM_Parameter | parameter
| ) |  |

This function converts a parameter into a variable.

Parameters

  [in] | svm | The SVM pointer passed as first argument of the callback function.
  [in] | parameter | The callback parameter to check.

Returns
  The variable as a SVM_Variable.

Exceptions

  FAILURE | interruption when a parameter is incorrect. (Please refer to the main description page of this API.)
  FAILURE | interruption when the parameter does not contain a variable.

See also
  svm_parameter_type_is_variable

## ◆ svm_parameter_variable_new()

SVM_FUNCTION SVM_Parameter svm_parameter_variable_new | ( | const void * | svm,
|  | const SVM_Variable | variable
| ) |  |

This function creates a parameter from a variable.

Parameters

  [in] | svm | The SVM pointer passed as first argument of the callback function.
  [in] | variable | The variable to be passed as a parameter.

Returns
  A parameter containing the variable.

Exceptions

  FAILURE | interruption when a parameter is incorrect. (Please refer to the main description page of this API.)